> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/es/sdk/septiembre-de-2026/d1-sdk-4.5.0.md).

# D1 SDK 4.5.0

{% hint style="info" %}
Los paquetes de entrega del SDK se pueden recuperar en el Portal de Atención al Cliente de Thales, en la página del producto correspondiente:

* [3D Secure](https://gemalto.service-now.com/csm?id=csm_product\&sys_id=1dd4097edb5bf1144f917828f496194d)
* [Pago NFC](https://gemalto.service-now.com/csm?id=csm_product\&sys_id=d8cf5b0b47d2c110128dca72e36d43df)
* [Aprovisionamiento push](https://gemalto.service-now.com/csm?id=csm_product\&sys_id=18effdc6db69ad1049dfcf8315961906)
* [Visualización segura de la tarjeta](https://gemalto.service-now.com/csm?id=csm_product\&sys_id=16d85a6fdbd345104f917828f496199b)

<sub>Nota: Inicie sesión en el Portal de Atención al Cliente de Thales antes de abrir una página de producto. Los enlaces de descarga solo aparecen para las cuentas con derecho al soporte del producto correspondiente. Si su organización tiene ese derecho pero no aparece ningún enlace de descarga después de iniciar sesión, cree un ticket de soporte.</sub>
{% endhint %}

{% tabs %}
{% tab title="Android" %}

### Plataformas y arquitecturas compatibles

* Android 8.1.0 o posterior
* Arquitecturas: `armeabi-v7a`, `arm64-v8a`, `x86`, `x86_64`

### Nueva funcionalidad

#### Google Unified Push Provisioning

{% hint style="warning" %}
Google exige compatibilidad con Unified Push Provisioning (UPP).

Ya no se admite el aprovisionamiento solo con TSP OPC.

Para más detalles, consulte: [https://developers.google.com/pay/issuers/apis/push-provisioning/android/upgrade\_to\_upp](https://developers.google.com/pay/issuers/apis/push-provisioning/android/upgrade_to_upp?authuser=1)
{% endhint %}

* Añadir compatibilidad con Google Unified Push Provisioning.
* Añadir compatibilidad con el aprovisionamiento de co-badge.
* Añadir compatibilidad con el aprovisionamiento Bounce.
* Añadir nueva clase: `GoogleCardSavedStatusResult` para recuperar el estado de tarjeta guardada de Google Pay.

#### Payment Passkey

* Añadir compatibilidad para recuperar la lista de Payment Passkey para el esquema Visa.
* Añadir compatibilidad para crear Payment Passkey para los esquemas Visa y Mastercard.
* Añadir nueva clase: `PaymentPasskeyService`

### General

#### Mejoras

* Fortalecer la seguridad del SDK D1.
* Excluir el SDK de Google Pay del binario del SDK. Integrar manualmente el SDK de Google Pay en la aplicación del emisor.
  {% endtab %}

{% tab title="iOS" %}

### Plataformas y arquitecturas compatibles

* iOS 16 o posterior
* Arquitecturas: `arm64`, `x86_64`

### Nueva funcionalidad

#### Payment Passkey

* Añadir compatibilidad para recuperar la lista de Payment Passkey para el esquema Visa.
* Añadir compatibilidad para crear Payment Passkey para los esquemas Visa y Mastercard.
* Añadir nueva clase: `PaymentPasskeyService`

#### API asíncronas

Introduce nuevas API para integraciones basadas en concurrencia de Swift

* Añadir nuevas clases: `DigitalCardService` .
* Obsoletar `D1Task.activateDigitalCard`, `D1Task.updateDigitalCard`, y `D1Task.digitalCardList` en favor de `DigitalCardService`

### General

#### Mejoras

* Fortalecer la seguridad del SDK D1.

#### Problemas conocidos

* Cuando varias aplicaciones iOS habilitan la compartición de llavero dentro del mismo grupo, solo una aplicación funciona correctamente. Las demás aplicaciones pueden experimentar problemas al usar funciones de 3DS o el Servicio de mensajería.
  {% endtab %}
  {% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payments.thalescloud.io/release-notes/es/sdk/septiembre-de-2026/d1-sdk-4.5.0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
